# planRequest Data Type

Namespace
  (Default)
Schema
  ns0.xsd

Properties
name | data type | type | namespace | min/max occurs | description
--- | --- | --- | --- | --- | ---
cloudProvider | string | element |  | 0/1 |
domain | string | element |  | 0/1 |
managerType | string | element |  | 0/1 |
osType | string | element |  | 0/1 |
toscaID | string | element |  | 0/1 |
vmUserName | string | element |  | 0/1 |

Example

    <p----->
      <domain>...</domain>
      <toscaID>...</toscaID>
      <osType>...</osType>
      <vmUserName>...</vmUserName>
      <cloudProvider>...</cloudProvider>
      <managerType>...</managerType>
    </p----->